<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>vue-way</title>
</head>
<body>
  <div id="app"></div>
  <script>
    var div = document.querySelector("#app");
    var viewModel = {};
    //즉시실행함수 - 함수를 정의함과 동시에 실행되는 함수
    //즉시실행함수를 쓰는 이유
    // -첫 로드 시 초기화 할 때 변수를 global하게 선언하고 싶지 않을 때
    // -변수에 함수를 이용해 즉시 값을 할당하고 싶을 때
    // -라이브러리 전역 변수 충돌 방지
    (function () {
      function init() {
        Object.defineProperty(viewModel, 'str',{
          get:function(){
            console.log('접근');
          },
          set: function(newValue){
            console.log('할당', newValue);
            render(newValue);
          }
        });
      }
      function render(value) {
        div.innerHTML = value;// 데이터 바인딩
      }
      init();
    })();
  </script>
</body>
</html>